﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.DockManager.Events;

namespace XamDockManagerTestProject
{
    public partial class MainWindow
    {
        public readonly ObservableCollection<ContentPane> ContentPanes = new ObservableCollection<ContentPane>(); 
        
        public MainWindow()
        {
            InitializeComponent();
            DataBind();
        }

        private void DataBind()
        {
            var frame = new Frame();
            frame.Navigate(new Page1(this));
            var mainPane = new ContentPane
            {
                CloseButtonVisibility = Visibility.Hidden,
                WindowPositionMenuVisibility = Visibility.Hidden,
                Header = "Main pane",
                Content = frame,
                Style = (Style)Application.Current.FindResource("CntPnPimStyle"),
            };
            mainPane.Closing += mainPane_Closing;
            //ContentPanes.Add(mainPane);

            TbGrpPnExplorer.Items.Add(mainPane);
        }

        void mainPane_Closing(object sender, PaneClosingEventArgs e)
        {
            e.Cancel = true;
        }
    }
}
