﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Infragistics.Windows.DockManager;

namespace XamDockManagerTestProject
{
    public partial class Page1
    {
        private readonly MainWindow _mainWindow; 
        public Page1(MainWindow main)
        {
            InitializeComponent();
            _mainWindow = main;
        }

        private void BtnClick(object sender, RoutedEventArgs e)
        {
            var frame = new Frame();
            frame.Navigate(new Page2());

            var stackpanel = new StackPanel {Orientation = Orientation.Horizontal};

            stackpanel.Children.Add(new Label {Content = "Sub Pane"});
            
            
            var subPane = new ContentPane
            {
                Content = frame,
                CloseButtonVisibility = Visibility.Visible,
                Style = (Style)Application.Current.FindResource("CntPnPimStyle")
            };

            var button = new Button
            {
                Tag = subPane,
                Content = "X",
                Foreground = Brushes.Red,
                Width = 25,
                Height = 25
            };
            button.Click += button_Click;

            stackpanel.Children.Add(button);

            subPane.Header = "Sub Pane";
            subPane.TabHeader = stackpanel;

            _mainWindow.TbGrpPnExplorer.Items.Add(subPane);
        }

        void button_Click(object sender, RoutedEventArgs e)
        {
            var button = (Button) sender;
            var contenPane = (ContentPane) button.Tag;
            _mainWindow.TbGrpPnExplorer.Items.Remove(contenPane);
        }
    }
}
